using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using System.Windows;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = (from i in Enumerable.Range(0, 100)
                          select new MyObject() { ID = i, Name = string.Format("Name{0}", i) }).ToList();

            GridViewDataColumn datacol1 = new GridViewDataColumn();
            datacol1.TextAlignment = TextAlignment.Right;
            datacol1.DataMemberBinding = new System.Windows.Data.Binding("Name");
            RadGridView1.Columns.Add(datacol1);
        }

    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
